.section1 {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  gap: 24px;

  @media (max-width: 767px) {
    flex-direction: column;
    justify-content: flex-start;
  }

  .headline {
    display: flex;
    flex-direction: column;
    gap: 8px;

    flex: 5 5 0;
    width: 100%;
    max-width: 486px;

    .subtitle {
      color: var(--color-neutral-800);
      text-align: left;

      font-size: var(--font-size-desktop-heading-5);
      line-height: var(--lineheight-desktop-heading-5);
      font-weight: var(--font-weight-bold);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-heading-5);
        line-height: var(--lineheight-mobile-heading-5);
      }
    }
    .title {
      color: var(--color-neutral-800);
      text-align: left;

      font-size: var(--font-size-desktop-heading-3);
      line-height: var(--lineheight-desktop-heading-3);
      font-weight: var(--font-weight-bold);

      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-heading-3);
        line-height: var(--lineheight-mobile-heading-3);
      }
      & > span {
        @media (min-width: 1025px) {
          display: block;
        }
        @media (max-width: 1024px) {
          display: inline;
        }
      }
    }
  }
  .content {
    display: flex;
    flex-direction: column;
    gap: 16px;

    flex: 7 7 0;
    width: 100%;
    max-width: 690px;
    margin-top: 40px;

    .heading {
      color: var(--color-neutral-800);
      text-align: left;

      font-size: var(--font-size-desktop-body-l);
      line-height: var(--lineheight-desktop-body-l);
      font-weight: var(--font-weight-bold);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-body-l);
        line-height: var(--lineheight-mobile-body-l);
      }
      & > span:nth-child(2) {
        font-family: Arial, Helvetica, sans-serif;
      }
    }
    .description {
      color: var(--color-neutral-700);
      text-align: left;

      font-size: var(--font-size-desktop-body-m);
      line-height: var(--lineheight-desktop-body-m);
      font-weight: var(--font-weight-regular);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-body-m);
        line-height: var(--lineheight-mobile-body-m);
      }

      & > span {
        display: block;
      }
    }
  }
}

.section2 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 24px;

  .images {
    display: flex;
    gap: 24px;
    width: 100%;

    @media (max-width: 767px) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-end;
      gap: 24px;
    }

    .image {
      border-radius: 12px;
      width: 100%;
      position: relative;

      &.img1 {
        @media (min-width: 768px) {
          flex: 5 5 0;
          max-width: 486px;
        }
        width: 100%;

        height: 560px;
        background-image: url(../images/ryoo-geon-uk-SIVuMhvQlt8-unsplash.jpg);
      }
      &.img2 {
        @media (min-width: 768px) {
          flex: 7 7 0;
          max-width: 690px;
        }
        width: 100%;

        height: 336px;
        background-image: url(../images/ryoo-geon-uk-A8q19Nx3mVM-unsplash.jpg);
      }
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;

      &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 12px;
        background-color: rgba(36, 36, 36, 0.15);
        z-index: 1;
      }
      @media (max-width: 767px) {
        &.img1,
        &.img2 {
          height: 240px;
        }
      }
    }
  }

  .text-box-container {
    display: flex;
    gap: 24px;
    width: 100%;

    .spacer {
      flex: 5 5 0;
      max-width: 486px;
      width: 100%;
      @media (max-width: 767px) {
        display: none;
      }
    }
    .text-box {
      flex: 7 7 0;
      width: 100%;
      max-width: 690px;

      display: flex;
      flex-direction: column;
      gap: 8px;
      @media (min-width: 768px) {
        margin-top: -200px;
      }

      .subtitle {
        color: var(--color-neutral-800);
        text-align: left;

        font-size: var(--font-size-desktop-heading-5);
        line-height: var(--lineheight-desktop-heading-5);
        font-weight: var(--font-weight-bold);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-heading-5);
          line-height: var(--lineheight-mobile-heading-5);
        }
      }
      .title {
        color: var(--color-neutral-800);
        text-align: left;

        font-size: var(--font-size-desktop-heading-3);
        line-height: var(--lineheight-desktop-heading-3);
        font-weight: var(--font-weight-bold);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-heading-3);
          line-height: var(--lineheight-mobile-heading-3);
        }
        & > span {
          display: block;
        }
      }
      .description {
        color: var(--color-neutral-700);
        text-align: left;

        font-size: var(--font-size-desktop-body-m);
        line-height: var(--lineheight-desktop-body-m);
        font-weight: var(--font-weight-regular);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-body-m);
          line-height: var(--lineheight-mobile-body-m);
        }
        & > span {
          display: block;
        }
      }
    }
  }
}

.section3 {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: flex-start;
  gap: 24px;

  @media (max-width: 767px) {
    flex-direction: column;
  }

  .images {
    flex: 7 7 0;
    width: 100%;
    max-width: 690px;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 24px;

    .image {
      border-radius: 12px;
      width: 100%;
      position: relative;

      &.img1 {
        /* flex: 5 5 0; */
        width: 100%;
        @media (min-width: 1025px) {
          max-width: 486px;
        }

        height: 440px;
        background-image: url(../images/clay-banks-E2HgkL3LaFE-unsplash.jpg);
      }
      &.img2 {
        /* flex: 7 7 0; */
        width: 100%;
        @media (min-width: 1025px) {
          max-width: 690px;
        }

        height: 340px;
        background-image: url(../images/maksym-kaharlytskyi-sFq7vyCSFbM-unsplash.jpg);
      }
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;

      @media (max-width: 767px) {
        &.img1,
        &.img2 {
          height: 240px;
        }
      }

      &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 12px;
        background-color: rgba(36, 36, 36, 0.15);
        z-index: 1;
      }
    }
  }
  .text-box-container {
    flex: 5 5 0;
    max-width: 486px;
    width: 100%;

    display: flex;
    gap: 24px;

    .spacer {
      display: none;
    }
    .text-box {
      flex: 7 7 0;
      width: 100%;
      max-width: 690px;

      display: flex;
      flex-direction: column;
      gap: 8px;

      .subtitle {
        color: var(--color-neutral-800);
        text-align: left;

        font-size: var(--font-size-desktop-heading-5);
        line-height: var(--lineheight-desktop-heading-5);
        font-weight: var(--font-weight-bold);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-heading-5);
          line-height: var(--lineheight-mobile-heading-5);
        }
      }
      .title {
        color: var(--color-neutral-800);
        text-align: left;

        font-size: var(--font-size-desktop-heading-3);
        line-height: var(--lineheight-desktop-heading-3);
        font-weight: var(--font-weight-bold);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-heading-3);
          line-height: var(--lineheight-mobile-heading-3);
        }
        & > span {
          display: block;
        }
      }
      .description {
        color: var(--color-neutral-700);
        text-align: left;

        font-size: var(--font-size-desktop-body-m);
        line-height: var(--lineheight-desktop-body-m);
        font-weight: var(--font-weight-regular);
        @media (max-width: 1024px) {
          font-size: var(--font-size-mobile-body-m);
          line-height: var(--lineheight-mobile-body-m);
        }

        & > div:nth-child(2) {
          margin-top: 8px;
        }

        & > div > span {
          display: block;
        }
      }
    }
  }
}

.section4 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  align-self: stretch;
  gap: 24px;

  & > .title {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    & > span {
      display: block;
    }
    & > span:first-child {
      color: var(--color-neutral-800);
      font-size: var(--font-size-desktop-heading-4);
      line-height: var(--lineheight-desktop-heading-4);
      font-weight: var(--font-weight-bold);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-heading-4);
        line-height: var(--lineheight-mobile-heading-4);
      }
    }
    & > span:last-child {
      color: var(--color-neutral-600);
      font-size: var(--font-size-desktop-body-m);
      line-height: var(--lineheight-desktop-body-m);
      font-weight: var(--font-weight-regular);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-body-m);
        line-height: var(--lineheight-mobile-body-m);
      }
    }
  }
  & .logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    width: 100%;
    position: relative;

    & > button {
      padding: 4px 4px;
    }
    & .logo-item {
      display: flex;
      justify-content: center;
      align-items: center;
      max-width: 100%;
      & img {
        max-width: 100%;
        height: auto;
        padding: 8px 16px;
        @media (max-width: 1024px) and (min-width: 768px) {
          padding: 8px 16px;
        }
        @media (max-width: 767px) {
          padding: 8px 8px;
        }
      }
    }
  }
  /* & .logo-slider {
    display: flex;
    justify-content: space-around;
    width: 100%;
    overflow: hidden;

    
    @media (max-width: 1024px) and (min-width: 768px) {
      & .logo-item:nth-child(n + 5) {
        display: none;
      }
    }

    @media (max-width: 767px) {
      & .logo-item:nth-child(n + 3) {
        display: none;
      }
    }
  } */
}
.swiper-wrapper {
  align-items: center;
  padding: 24px 24px;
}
